baseURL = "https://klc.kicad.org/"

languageCode = "en-us"
DefaultContentLanguage = "en"
title = "Library Conventions | KiCad EDA"
theme = "hugo-theme-techdoc"

defaultContentLanguage = "en"
defaultContentLanguageInSubdir= false
enableMissingTranslationPlaceholders = false


[params]
    # Source Code repository section
    description = "Library maintainer rules & guidelines"
    github_repository = "https://gitlab.com/kicad/libraries/klc"
    version = "3.0.34"

    # Documentation repository section
    # documentation repository (set edit link to documentation repository)
    github_doc_repository = "https://gitlab.com/kicad/libraries/klc"

    # Open Graph and Twitter Cards settings section
    # Open Graph settings for each page are set on the front matter.
    # See https://gohugo.io/templates/internal/#open-graph
    # See https://gohugo.io/templates/internal/#twitter-cards
    title = "Library Conventions | KiCad EDA"
    images = ["images/og-image.png"] # Open graph images are placed in `static/images`

    # Theme settings section
    # Theme color
    # See color value reference https://developer.mozilla.org/en-US/docs/Web/CSS/color
    custom_font_color = ""
    custom_background_color = ""

    # Documentation Menu section
    # Menu style settings
    menu_style = "slide-menu" # "open-menu" or "slide-menu" or "" blank is as no sidebar

    # Date format
    dateformat = "" # default "2 Jan 2006"
    # See the format reference https://gohugo.io/functions/format/#hugo-date-and-time-templating-reference

    # path name excluded from documentation menu
    menu_exclusion = [
        "archives",
        "archive",
        "blog",
        "entry",
        "post",
        "posts",
    ]

    # Algolia site search section
    # See https://www.algolia.com/doc/
    algolia_search_enable = false

# Global menu section
# See https://gohugo.io/content-management/menus/
[menu]
    [[menu.main]]
        name = "KLC Home"
        url = "/"
        weight = 1

    [[menu.main]]
        name = "KiCad"
        url = "https://kicad.org"
        weight = 2
	
# Markup configure section
# See https://gohugo.io/getting-started/configuration-markup/
[markup]
    defaultMarkdownHandler = "goldmark"
    [markup.goldmark.renderer]
        unsafe= true
    [markup.tableOfContents]
        startLevel = 2
        endLevel = 6
        ordered = false

[outputs]
    home = ["HTML", "RSS"]
